MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030232Open CASCADE[OCCT] OCCT:Visualizationpublic2018-10-11 09:572018-10-14 13:56
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030232: Visualization, StdPrs_BndBox - support Bnd_OBB in addition to Bnd_Box
DescriptionWith introduction of Bnd_OBB it is useful extending StdPrs_BndBox building for supporting oriented bounding box.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0079896)
git (administrator)
2018-10-11 16:08

Branch CR30232 has been created by kgv.

SHA-1: 2e887a80b538eff53791d5667b4eda67f1bfa76b


Detailed log of new commits:

Author: kgv
Date: Thu Oct 11 16:05:32 2018 +0300

    0030232: Visualization, StdPrs_BndBox - support Bnd_OBB in addition to Bnd_Box
(0079897)
kgv (developer)
2018-10-11 16:08

Patch is ready for review.
(0079902)
git (administrator)
2018-10-11 16:39

Branch CR30232 has been updated forcibly by kgv.

SHA-1: 7a5891c50debc2fcc9d5990063ef3b4c04123a77
(0079905)
git (administrator)
2018-10-11 17:06

Branch CR30232 has been updated forcibly by kgv.

SHA-1: 1a557bf5a0c044a3c6f31bee815043f608e4ae44
(0079909)
san (developer)
2018-10-11 18:57

Branch CR30232 reviewed without remarks. Test case is not needed.
(0079914)
apn (administrator)
2018-10-12 13:17

Combination -
OCCT branch : CR30232 SHA - 1a557bf5a0c044a3c6f31bee815043f608e4ae44
Products branch : master SHA - fa672296ba29ad12e59ba21c0c612c412b808a5d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17393.649999999918 / 17385.999999999854 [+0.04%]
Products
Total CPU difference: 7422.080000000067 / 7445.680000000064 [-0.32%]
Windows-64-VC14:
OCCT
Total CPU difference: 17449.850657298386 / 17457.853508598404 [-0.05%]
Products
Total CPU difference: 8402.884664299978 / 8343.292282299992 [+0.71%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0079930)
git (administrator)
2018-10-14 13:56

Branch CR30232 has been deleted by inv.

SHA-1: 1a557bf5a0c044a3c6f31bee815043f608e4ae44

- Related Changesets
occt: master c3749171
Timestamp: 2018-10-11 13:05:32
Author: kgv
Committer: apn
Details ] Diff ]
0030232: Visualization, StdPrs_BndBox - support Bnd_OBB in addition to Bnd_Box
mod - src/Bnd/Bnd_OBB.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_BndBox.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_BndBox.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-10-11 09:57 kgv New Issue
2018-10-11 09:57 kgv Assigned To => kgv
2018-10-11 15:47 kgv Relationship added child of 0029311
2018-10-11 16:08 git Note Added: 0079896
2018-10-11 16:08 kgv Note Added: 0079897
2018-10-11 16:08 kgv Assigned To kgv => san
2018-10-11 16:08 kgv Status new => resolved
2018-10-11 16:39 git Note Added: 0079902
2018-10-11 17:06 git Note Added: 0079905
2018-10-11 18:57 san Note Added: 0079909
2018-10-11 18:57 san Assigned To san => bugmaster
2018-10-11 18:57 san Status resolved => reviewed
2018-10-12 13:17 apn Test case number => Not needed
2018-10-12 13:17 apn Note Added: 0079914
2018-10-12 13:17 apn Status reviewed => tested
2018-10-13 16:01 apn Changeset attached => occt master c3749171
2018-10-13 16:01 apn Assigned To bugmaster => apn
2018-10-13 16:01 apn Status tested => verified
2018-10-13 16:01 apn Resolution open => fixed
2018-10-14 13:56 git Note Added: 0079930


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker